Gsv::View Class Reference

The view object. More...

`#include <gtksourceviewmm/view.h>`

Inheritance diagram for Gsv::View:
[legend]

## Public Member Functions

| View (View&& src) noexcept
View& | operator= (View&& src) noexcept
| View (const View&)=delete
View& | operator= (const View&)=delete
virtual | ~View () noexcept
GtkSourceView* | gobj ()
| Provides access to the underlying C GtkObject. More...
const GtkSourceView* | gobj () const
| Provides access to the underlying C GtkObject. More...
| View ()
| Creates a new View. More...
| View (const Glib::RefPtr< Buffer >& buffer)
| Creates a new View widget displaying the buffer buffer. More...
Glib::RefPtr< const Buffer > | get_source_buffer () const
| Returns the GtkTextBuffer being displayed by this text view. More...
Glib::RefPtr< Buffer > | get_source_buffer ()
| Returns the GtkTextBuffer being displayed by this text view. More...
void | set_source_buffer (const Glib::RefPtr< Buffer >& source_buffer)
| Sets a source_buffer as the buffer being displayed by source view. More...
void | set_show_line_numbers (bool show=true)
| If `true` line numbers will be displayed beside the text. More...
bool | get_show_line_numbers () const
| Returns whether line numbers are displayed beside the text. More...
void | set_tab_width (guint width)
| Sets the width of tabulation in characters. More...
guint | get_tab_width () const
| Returns the width of tabulation in characters. More...
void | set_auto_indent (bool enable=true)
| If `true` auto indentation of text is enabled. More...
bool | get_auto_indent () const
| Returns whether auto indentation of text is enabled. More...
void | set_insert_spaces_instead_of_tabs (bool enable=true)
| If `true` any tabulator character inserted is replaced by a group of space characters. More...
bool | get_insert_spaces_instead_of_tabs () const
| Returns whether when inserting a tabulator character it should be replaced by a group of space characters. More...
void | set_show_right_margin (bool show=true)
| If `true` a right margin is displayed. More...
bool | get_show_right_margin () const
| Returns whether a right margin is displayed. More...
void | set_highlight_current_line (bool highlight=true)
| If highlight is `true` the current line is highlighted. More...
bool | get_highlight_current_line () const
| Returns whether the current line is highlighted. More...
void | set_right_margin_position (guint margin)
| Sets the position of the right margin. More...
guint | get_right_margin_position () const
| Gets the position of the right margin. More...
void | set_smart_home_end (SmartHomeEndType smart_he)
| Set the desired movement of the cursor when HOME and END keys are pressed. More...
SmartHomeEndType | get_smart_home_end () const
| Returns a SmartHomeEndType end value specifying how the cursor will move when HOME and END keys are pressed. More...
void | set_show_line_marks (bool show=true)
| If `true` line marks will be displayed beside the text. More...
bool | get_show_line_marks () const
| Returns whether line marks are displayed beside the text. More...
void | set_indent_on_tab (bool enable=true)
| If `true`, when the tab key is pressed and there is a selection, the selected text is indented of one level instead of being replaced with the \t characters. More...
bool | get_indent_on_tab () const
| Returns whether when the tab key is pressed the current selection should get indented instead of replaced with the \t character. More...
void | set_indent_width (gint width)
| Sets the number of spaces to use for each step of indent. More...
gint | get_indent_width () const
| Returns the number of spaces to use for each step of indent. More...
void | set_draw_spaces (DrawSpacesFlags flags=DRAW_SPACES_ALL)
| Set if and how the spaces should be visualized. More...
DrawSpacesFlags | get_draw_spaces () const
| Returns the DrawSpacesFlags specifying if and how spaces should be displayed. More...
guint | get_visual_column (const Gtk::TextIter& iter) const
| Determines the visual column at iter taking into consideration the indent width of view. More...
Glib::RefPtr< Gutter > | get_gutter (Gtk::TextWindowType window_type)
| Returns the Gutter object associated with window_type for this view. More...
Glib::RefPtr< const Gutter > | get_gutter (Gtk::TextWindowType window_type) const
| Returns the Gutter object associated with window_type for this view. More...
Glib::RefPtr< Completion > | get_completion ()
| Gets the Completion associated with this view. More...
Glib::RefPtr< const Completion > | get_completion () const
| Gets the Completion associated with this view. More...
void | set_mark_attributes (const Glib::ustring& category, const Glib::RefPtr< MarkAttributes >& attributes, int priority)
| Sets attributes and priority for the category. More...
Glib::RefPtr< MarkAttributes > | get_mark_attributes (const Glib::ustring& category, int& priority)
| Gets attributes and priority for the category. More...
Glib::RefPtr< const MarkAttributes > | get_mark_attributes (const Glib::ustring& category, int& priority) const
| Gets attributes and priority for the category. More...
Glib::SignalProxy0< void > | signal_redo ()
| Emitted when redo action is requested. More...
Glib::SignalProxy0< void > | signal_undo ()
| Emitted when undo action is requested. More...
Glib::SignalProxy2< void, Gtk::TextIter&, GdkEvent* > | signal_line_mark_activated ()
| Emitted when a line mark has been activated (for instance when there was a button press in the line marks gutter). More...
Glib::SignalProxy2< void, Gtk::TextIter&, int > | signal_smart_home_end ()
| Emitted when a the cursor was moved according to the smart home end setting. More...
Glib::PropertyProxy< bool > | property_show_line_numbers ()
| Whether to display line numbers. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_line_numbers () const
| Whether to display line numbers. More...
Glib::PropertyProxy< bool > | property_show_line_marks ()
| Whether to display line mark pixbufs. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_line_marks () const
| Whether to display line mark pixbufs. More...
Glib::PropertyProxy< guint > | property_tab_width ()
| Width of a tab character expressed in spaces. More...
Glib::PropertyProxy_ReadOnly< guint > | property_tab_width () const
| Width of a tab character expressed in spaces. More...
Glib::PropertyProxy< int > | property_indent_width ()
| Number of spaces to use for each step of indent. More...
Glib::PropertyProxy_ReadOnly< int > | property_indent_width () const
| Number of spaces to use for each step of indent. More...
Glib::PropertyProxy< bool > | property_auto_indent ()
| Whether to enable auto indentation. More...
Glib::PropertyProxy_ReadOnly< bool > | property_auto_indent () const
| Whether to enable auto indentation. More...
Glib::PropertyProxy< bool > | property_insert_spaces_instead_of_tabs ()
| Whether to insert spaces instead of tabs. More...
Glib::PropertyProxy_ReadOnly< bool > | property_insert_spaces_instead_of_tabs () const
| Whether to insert spaces instead of tabs. More...
Glib::PropertyProxy< bool > | property_show_right_margin ()
| Whether to display the right margin. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_right_margin () const
| Whether to display the right margin. More...
Glib::PropertyProxy< guint > | property_right_margin_position ()
| Position of the right margin. More...
Glib::PropertyProxy_ReadOnly< guint > | property_right_margin_position () const
| Position of the right margin. More...
Glib::PropertyProxy< SmartHomeEndType > | property_smart_home_end ()
| HOME and END keys move to first/last non whitespace characters on line before going to the start/end of the line. More...
Glib::PropertyProxy_ReadOnly< SmartHomeEndType > | property_smart_home_end () const
| HOME and END keys move to first/last non whitespace characters on line before going to the start/end of the line. More...
Glib::PropertyProxy< bool > | property_highlight_current_line ()
| Whether to highlight the current line. More...
Glib::PropertyProxy_ReadOnly< bool > | property_highlight_current_line () const
| Whether to highlight the current line. More...
Glib::PropertyProxy< bool > | property_indent_on_tab ()
| Whether to indent the selected text when the tab key is pressed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_indent_on_tab () const
| Whether to indent the selected text when the tab key is pressed. More...
Glib::PropertyProxy< DrawSpacesFlags > | property_draw_spaces ()
| Set if and how the spaces should be visualized. More...
Glib::PropertyProxy_ReadOnly< DrawSpacesFlags > | property_draw_spaces () const
| Set if and how the spaces should be visualized. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Completion > > | property_completion () const
| The completion object associated with the view. More...
Public Member Functions inherited from Gtk::TextView
| TextView (TextView &&src) noexcept
TextView & | operator= (TextView &&src) noexcept
| TextView (const TextView &)=delete
TextView & | operator= (const TextView &)=delete
virtual | ~TextView () noexcept
GtkTextView * | gobj ()
const GtkTextView * | gobj () const
| TextView ()
| TextView (const Glib::RefPtr< TextBuffer > &buffer)
void | set_buffer (const Glib::RefPtr< TextBuffer > &buffer)
Glib::RefPtr< TextBuffer > | get_buffer ()
Glib::RefPtr< const TextBuffer > | get_buffer () const
bool | scroll_to (TextBuffer::iterator &iter, double within_margin=0)
bool | scroll_to (TextBuffer::iterator &iter, double within_margin, double xalign, double yalign)
void | scroll_to (const Glib::RefPtr< TextBuffer::Mark > &mark, double within_margin=0)
void | scroll_to (const Glib::RefPtr< TextBuffer::Mark > &mark, double within_margin, double xalign, double yalign)
bool | move_mark_onscreen (const Glib::RefPtr< TextBuffer::Mark > &mark)
bool | place_cursor_onscreen ()
void | get_visible_rect (Gdk::Rectangle &visible_rect) const
void | set_cursor_visible (bool setting=true)
bool | get_cursor_visible () const
void | get_cursor_locations (const TextBuffer::iterator &iter, Gdk::Rectangle &strong, Gdk::Rectangle &weak) const
void | get_iter_location (const TextBuffer::iterator &iter, Gdk::Rectangle &location) const
void | get_iter_at_location (TextBuffer::iterator &iter, int x, int y) const
void | get_iter_at_position (TextBuffer::iterator &iter, int &trailing, int x, int y) const
void | get_line_yrange (const TextBuffer::iterator &iter, int &y, int &height) const
void | get_line_at_y (TextBuffer::iterator &target_iter, int y, int &line_top) const
void | buffer_to_window_coords (TextWindowType win, int buffer_x, int buffer_y, int &window_x, int &window_y) const
void | window_to_buffer_coords (TextWindowType win, int window_x, int window_y, int &buffer_x, int &buffer_y) const
Glib::RefPtr< Gdk::Window > | get_window (TextWindowType win)
Glib::RefPtr< const Gdk::Window > | get_window (TextWindowType win) const
TextWindowType | get_window_type (const Glib::RefPtr< Gdk::Window > &window)
void | set_border_window_size (TextWindowType type, int size)
int | get_border_window_size (TextWindowType type) const
bool | forward_display_line (TextBuffer::iterator &iter)
bool | backward_display_line (TextBuffer::iterator &iter)
bool | forward_display_line_end (TextBuffer::iterator &iter)
bool | backward_display_line_start (TextBuffer::iterator &iter)
bool | starts_display_line (const TextBuffer::iterator &iter)
bool | move_visually (TextBuffer::iterator &iter, int count)
bool | im_context_filter_keypress (GdkEventKey *gdk_event)
void | reset_im_context ()
void | add_child_at_anchor (Widget &child, const Glib::RefPtr< TextBuffer::ChildAnchor > &anchor)
void | add_child_in_window (Widget &child, TextWindowType which_window, int xpos, int ypos)
void | move_child (Widget &child, int xpos, int ypos)
void | set_wrap_mode (WrapMode wrap_mode)
WrapMode | get_wrap_mode () const
void | set_editable (bool setting=true)
bool | get_editable () const
void | set_pixels_above_lines (int pixels_above_lines)
int | get_pixels_above_lines () const
void | set_pixels_below_lines (int pixels_below_lines)
int | get_pixels_below_lines () const
void | set_pixels_inside_wrap (int pixels_inside_wrap)
int | get_pixels_inside_wrap () const
void | set_justification (Justification justification)
Justification | get_justification () const
void | set_left_margin (int left_margin)
int | get_left_margin () const
void | set_right_margin (int right_margin)
int | get_right_margin () const
void | set_indent (int indent)
int | get_indent () const
void | set_tabs (Pango::TabArray &tabs)
Pango::TabArray | get_tabs () const
TextAttributes | get_default_attributes () const
void | set_overwrite (bool overwrite=true)
bool | get_overwrite () const
void | set_accepts_tab (bool accepts_tab=true)
bool | get_accepts_tab () const
void | set_input_purpose (InputPurpose purpose)
InputPurpose | get_input_purpose () const
void | set_input_hints (InputHints hints)
InputHints | get_input_hints () const
void | set_monospace (bool monospace=true)
bool | get_monospace () const
Glib::SignalProxy1< void, Menu * > | signal_populate_popup ()
Glib::SignalProxy0< void > | signal_set_anchor ()
Glib::SignalProxy1< void, const Glib::ustring & > | signal_insert_at_cursor ()
Glib::PropertyProxy< int > | property_pixels_above_lines ()
Glib::PropertyProxy_ReadOnly< int > | property_pixels_above_lines () const
Glib::PropertyProxy< int > | property_pixels_below_lines ()
Glib::PropertyProxy_ReadOnly< int > | property_pixels_below_lines () const
Glib::PropertyProxy< int > | property_pixels_inside_wrap ()
Glib::PropertyProxy_ReadOnly< int > | property_pixels_inside_wrap () const
Glib::PropertyProxy< bool > | property_editable ()
Glib::PropertyProxy_ReadOnly< bool > | property_editable () const
Glib::PropertyProxy< WrapMode > | property_wrap_mode ()
Glib::PropertyProxy_ReadOnly< WrapMode > | property_wrap_mode () const
Glib::PropertyProxy< Justification > | property_justification ()
Glib::PropertyProxy_ReadOnly< Justification > | property_justification () const
Glib::PropertyProxy< int > | property_left_margin ()
Glib::PropertyProxy_ReadOnly< int > | property_left_margin () const
Glib::PropertyProxy< int > | property_right_margin ()
Glib::PropertyProxy_ReadOnly< int > | property_right_margin () const
Glib::PropertyProxy< int > | property_indent ()
Glib::PropertyProxy_ReadOnly< int > | property_indent () const
Glib::PropertyProxy< Pango::TabArray > | property_tabs ()
Glib::PropertyProxy_ReadOnly< Pango::TabArray > | property_tabs () const
Glib::PropertyProxy< bool > | property_cursor_visible ()
Glib::PropertyProxy_ReadOnly< bool > | property_cursor_visible () const
Glib::PropertyProxy< Glib::RefPtr< TextBuffer > > | property_buffer ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< TextBuffer > > | property_buffer () const
Glib::PropertyProxy< bool > | property_overwrite ()
Glib::PropertyProxy_ReadOnly< bool > | property_overwrite () const
Glib::PropertyProxy< bool > | property_accepts_tab ()
Glib::PropertyProxy_ReadOnly< bool > | property_accepts_tab () const
Glib::PropertyProxy< Glib::ustring > | property_im_module ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_im_module () const
Glib::PropertyProxy< InputPurpose > | property_input_purpose ()
Glib::PropertyProxy_ReadOnly< InputPurpose > | property_input_purpose () const
Glib::PropertyProxy< InputHints > | property_input_hints ()
Glib::PropertyProxy_ReadOnly< InputHints > | property_input_hints () const
Glib::PropertyProxy< bool > | property_populate_all ()
Glib::PropertyProxy_ReadOnly< bool > | property_populate_all () const
Glib::PropertyProxy< bool > | property_monospace ()
Glib::PropertyProxy_ReadOnly< bool > | property_monospace () const
Gtk::TextView * | wrap (GtkTextView *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Container
| Container (Container &&src) noexcept
Container & | operator= (Container &&src) noexcept
| Container (const Container &)=delete
Container & | operator= (const Container &)=delete
virtual | ~Container () noexcept
GtkContainer * | gobj ()
const GtkContainer * | gobj () const
void | set_border_width (guint border_width)
guint | get_border_width () const
virtual void | add (Widget &widget)
void | remove (Widget &widget)
void | set_resize_mode (ResizeMode resize_mode)
ResizeMode | get_resize_mode () const
void | check_resize ()
void | foreach (const ForeachSlot &slot)
void | forall (const ForeachSlot &slot)
std::vector< Widget * > | get_children ()
std::vector< const Widget * > | get_children () const
void | propagate_draw (Widget &child, const ::Cairo::RefPtr< ::Cairo::Context > &cr)
void | set_focus_chain (const std::vector< Widget * > &focusable_widgets)
bool | has_focus_chain () const
std::vector< Widget * > | get_focus_chain ()
std::vector< const Widget * > | get_focus_chain () const
void | unset_focus_chain ()
void | set_reallocate_redraws (bool needs_redraws=true)
void | set_focus_child (Widget &widget)
Widget * | get_focus_child ()
const Widget * | get_focus_child () const
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment > &adjustment)
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment > &adjustment)
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
void | resize_children ()
GType | child_type () const
WidgetPath | get_path_for_child (const Widget &child) const
Glib::SignalProxy1< void, Widget * > | signal_add ()
Glib::SignalProxy1< void, Widget * > | signal_remove ()
Glib::SignalProxy0< void > | signal_check_resize ()
Glib::SignalProxy1< void, Widget * > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Gtk::Container * | wrap (GtkContainer *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Widget
| Widget (Widget &&src) noexcept
Widget & | operator= (Widget &&src) noexcept
| Widget (const Widget &)=delete
Widget & | operator= (const Widget &)=delete
virtual | ~Widget () noexcept
GtkWidget * | gobj ()
const GtkWidget * | gobj () const
void | show ()
void | show_now ()
void | hide ()
void | show_all ()
void | queue_draw ()
void | queue_draw_area (int x, int y, int width, int height)
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
void | queue_resize ()
void | size_allocate (const Allocation &allocation)
void | size_allocate (const Allocation &allocation, int baseline)
SizeRequestMode | get_request_mode () const
void | get_preferred_width (int &minimum_width, int &natural_width) const
void | get_preferred_height_for_width (int width, int &minimum_height, int &natural_height) const
void | get_preferred_height_for_width (int width, int &minimum_height, int &natural_height, int &minimum_baseline, int &natural_baseline) const
void | get_preferred_height (int &minimum_height, int &natural_height) const
void | get_preferred_width_for_height (int height, int &minimum_width, int &natural_width) const
void | get_preferred_size (Requisition &minimum_size, Requisition &natural_size) const
void | add_accelerator (const Glib::ustring &accel_signal, const Glib::RefPtr< AccelGroup > &accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
bool | remove_accelerator (const Glib::RefPtr< AccelGroup > &accel_group, guint accel_key, Gdk::ModifierType accel_mods)
void | set_accel_path (const Glib::ustring &accel_path, const Glib::RefPtr< AccelGroup > &accel_group)
bool | mnemonic_activate (bool group_cycling)
bool | event (GdkEvent *gdk_event)
int | send_expose (GdkEvent *gdk_event)
bool | send_focus_change (GdkEvent *gdk_event)
bool | activate ()
void | reparent (Widget &new_parent)
bool | intersect (const Gdk::Rectangle &area) const
bool | intersect (const Gdk::Rectangle &area, Gdk::Rectangle &intersection) const
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region > &region) const
void | freeze_child_notify ()
void | child_notify (const Glib::ustring &child_property)
void | thaw_child_notify ()
void | set_can_focus (bool can_focus=true)
bool | get_can_focus () const
bool | has_focus () const
bool | is_focus () const
bool | has_visible_focus () const
void | grab_focus ()
void | set_can_default (bool can_default=true)
bool | get_can_default () const
bool | has_default () const
void | grab_default ()
void | set_receives_default (bool receives_default=true)
bool | get_receives_default () const
bool | has_grab () const
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device > &device)
void | add_modal_grab ()
void | remove_modal_grab ()
void | set_name (const Glib::ustring &name)
void | unset_name ()
Glib::ustring | get_name () const
void | set_state (StateType state)
StateType | get_state () const
void | set_state_flags (StateFlags flags, bool clear=true)
void | unset_state_flags (StateFlags flags)
StateFlags | get_state_flags () const
void | set_sensitive (bool sensitive=true)
bool | get_sensitive () const
bool | is_sensitive () const
void | set_visible (bool visible=true)
bool | get_visible () const
bool | is_visible () const
bool | get_has_window () const
bool | get_is_toplevel () const
bool | get_is_drawable () const
bool | get_realized () const
bool | get_mapped () const
void | set_app_paintable (bool app_paintable=true)
bool | get_app_paintable () const
void | set_double_buffered (bool double_buffered=true)
bool | get_double_buffered () const
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
void | set_child_visible (bool visible=true)
bool | get_child_visible () const
Glib::RefPtr< Gdk::Window > | get_window ()
Glib::RefPtr< const Gdk::Window > | get_window () const
void | register_window (const Glib::RefPtr< Gdk::Window > &window)
void | unregister_window (const Glib::RefPtr< Gdk::Window > &window)
int | get_allocated_width () const
int | get_allocated_height () const
int | get_allocated_baseline () const
Allocation | get_allocation () const
void | set_allocation (const Allocation &allocation)
void | set_clip (const Allocation &clip)
Allocation | get_clip () const
Container * | get_parent ()
const Container * | get_parent () const
Glib::RefPtr< Gdk::Window > | get_parent_window ()
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
void | set_parent_window (const Glib::RefPtr< const Gdk::Window > &parent_window)
bool | child_focus (DirectionType direction)
bool | keynav_failed (DirectionType direction)
void | error_bell ()
void | set_size_request (int width=-1, int height=-1)
void | get_size_request (int &width, int &height) const
void | set_events (Gdk::EventMask events)
void | add_events (Gdk::EventMask events)
void | set_device_events (const Glib::RefPtr< const Gdk::Device > &device, Gdk::EventMask events)
void | add_device_events (const Glib::RefPtr< const Gdk::Device > &device, Gdk::EventMask events)
void | set_opacity (double opacity)
double | get_opacity () const
void | set_device_enabled (const Glib::RefPtr< Gdk::Device > &device, bool enabled=true)
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device > &device) const
Container * | get_toplevel ()
const Container * | get_toplevel () const
Widget * | get_ancestor (GType widget_type)
const Widget * | get_ancestor (GType widget_type) const
Glib::RefPtr< Gdk::Visual > | get_visual ()
Glib::RefPtr< Gdk::Screen > | get_screen ()
Glib::RefPtr< const Gdk::Screen > | get_screen () const
bool | has_screen () const
int | get_scale_factor () const
Glib::RefPtr< Gdk::Display > | get_display ()
Glib::RefPtr< const Gdk::Display > | get_display () const
Glib::RefPtr< Gdk::Window > | get_root_window ()
Glib::RefPtr< const Gdk::Window > | get_root_window () const
Glib::RefPtr< Settings > | get_settings ()
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring &selection)
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring &selection) const
bool | get_hexpand () const
void | set_hexpand (bool expand=true)
bool | get_hexpand_set () const
void | set_hexpand_set (bool set=true)
bool | get_vexpand () const
void | set_vexpand (bool expand=true)
bool | get_vexpand_set () const
void | set_vexpand_set (bool set=true)
void | queue_compute_expand ()
bool | compute_expand (Orientation orientation)
bool | get_support_multidevice () const
void | set_support_multidevice (bool support_multidevice=true)
Glib::RefPtr< Atk::Object > | get_accessible ()
Glib::RefPtr< const Atk::Object > | get_accessible () const
Align | get_halign () const
void | set_halign (Align align)
Align | get_valign () const
Align | get_valign_with_baseline () const
void | set_valign (Align align)
int | get_margin_left () const
void | set_margin_left (int margin)
int | get_margin_right () const
void | set_margin_right (int margin)
int | get_margin_start () const
void | set_margin_start (int margin)
int | get_margin_end () const
void | set_margin_end (int margin)
int | get_margin_top () const
void | set_margin_top (int margin)
int | get_margin_bottom () const
void | set_margin_bottom (int margin)
Gdk::EventMask | get_events () const
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device > &device) const
void | get_pointer (int &x, int &y) const
bool | is_ancestor (Widget &ancestor) const
bool | translate_coordinates (Widget &dest_widget, int src_x, int src_y, int &dest_x, int &dest_y)
void | override_color (const Gdk::RGBA &color, StateFlags state=STATE_FLAG_NORMAL)
void | unset_color (StateFlags state=STATE_FLAG_NORMAL)
void | override_background_color (const Gdk::RGBA &color, StateFlags state=STATE_FLAG_NORMAL)
void | unset_background_color (StateFlags state=STATE_FLAG_NORMAL)
void | override_font (const Pango::FontDescription &font_desc)
void | unset_font ()
void | override_symbolic_color (const Glib::ustring &name, const Gdk::RGBA &color)
void | unset_symbolic_color (const Glib::ustring &name)
void | override_cursor (const Gdk::RGBA &cursor, const Gdk::RGBA &secondary_cursor)
void | unset_cursor ()
void | reset_style ()
void | get_style_property (const Glib::ustring &the_property_name, PropertyType &value) const
Glib::RefPtr< Pango::Context > | create_pango_context ()
Glib::RefPtr< Pango::Context > | get_pango_context ()
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring &text)
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID &stock_id, IconSize size)
void | set_composite_name (const Glib::ustring &name)
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
void | set_direction (TextDirection dir)
TextDirection | get_direction () const
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region > &region)
WidgetPath | get_path () const
std::vector< Widget * > | list_mnemonic_labels ()
std::vector< const Widget * > | list_mnemonic_labels () const
void | add_mnemonic_label (Widget &label)
void | remove_mnemonic_label (Widget &label)
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext > &context, const Glib::ustring &target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry > &targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window > &proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > &context, const Glib::RefPtr< TargetList > &target_list) const
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext > &context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList > &target_list)
void | drag_dest_add_text_targets ()
void | drag_dest_add_image_targets ()
void | drag_dest_add_uri_targets ()
void | drag_source_set (const std::vector< TargetEntry > &targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf > &pixbuf)
void | drag_source_set_icon (const StockID &stock_id)
void | drag_source_set_icon (const Glib::ustring &icon_name)
void | drag_source_add_text_targets ()
void | drag_source_add_uri_targets ()
void | drag_source_add_image_targets ()
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > &targets, Gdk::DragAction actions, int button, GdkEvent *gdk_event)
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList > &targets, Gdk::DragAction actions, int button, GdkEvent *gdk_event, int x, int y)
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext > &context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
bool | get_no_show_all () const
void | set_no_show_all (bool no_show_all=true)
void | set_parent (Widget &parent)
void | unparent ()
void | map ()
void | unmap ()
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context > &cr, const Gdk::Rectangle &location, bool is_primary, TextDirection direction, bool draw_arrow=true)
void | set_tooltip_window (Window &custom_window)
Window * | get_tooltip_window ()
void | trigger_tooltip_query ()
void | set_tooltip_text (const Glib::ustring &text)
Glib::ustring | get_tooltip_text () const
void | set_tooltip_markup (const Glib::ustring &markup)
Glib::ustring | get_tooltip_markup () const
void | set_has_tooltip (bool has_tooltip=TRUE)
bool | get_has_tooltip () const
int | get_width () const
int | get_height () const
bool | is_composited () const
bool | in_destruction () const
Glib::RefPtr< StyleContext > | get_style_context ()
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
void | insert_action_group (const Glib::ustring &name, const Glib::RefPtr< Gio::ActionGroup > &group)
void | remove_action_group (const Glib::ustring &name)
Glib::RefPtr< Gio::ActionGroup > | get_action_group (const Glib::ustring &prefix)
Glib::RefPtr< const Gio::ActionGroup > | get_action_group (const Glib::ustring &prefix) const
std::vector< Glib::ustring > | list_action_prefixes () const
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_map ()
Glib::SignalProxy0< void > | signal_unmap ()
Glib::SignalProxy0< void > | signal_realize ()
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, Allocation & > | signal_size_allocate ()
Glib::SignalProxy1< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy1< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy1< void, Widget * > | signal_parent_changed ()
Glib::SignalProxy1< void, Widget * > | signal_hierarchy_changed ()
Glib::SignalProxy0< void > | signal_style_updated ()
Glib::SignalProxy1< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy1< void, bool > | signal_grab_notify ()
Glib::SignalProxy1< void, GParamSpec * > | signal_child_notify ()
Glib::SignalProxy1< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy0< void > | signal_grab_focus ()
Glib::SignalProxy1< bool, DirectionType > | signal_focus ()
Glib::SignalProxy1< bool, GdkEvent * > | signal_event ()
Glib::SignalProxy1< void, GdkEvent * > | signal_event_after ()
Glib::SignalProxy1< bool, GdkEventButton * > | signal_button_press_event ()
Glib::SignalProxy1< bool, GdkEventButton * > | signal_button_release_event ()
Glib::SignalProxy1< bool, GdkEventScroll * > | signal_scroll_event ()
Glib::SignalProxy1< bool, GdkEventMotion * > | signal_motion_notify_event ()
Glib::SignalProxy1< bool, GdkEventAny * > | signal_delete_event ()
Glib::SignalProxy1< bool, const ::Cairo::RefPtr< ::Cairo::Context > & > | signal_draw ()
Glib::SignalProxy1< bool, GdkEventKey * > | signal_key_press_event ()
Glib::SignalProxy1< bool, GdkEventKey * > | signal_key_release_event ()
Glib::SignalProxy1< bool, GdkEventCrossing * > | signal_enter_notify_event ()
Glib::SignalProxy1< bool, GdkEventCrossing * > | signal_leave_notify_event ()
Glib::SignalProxy1< bool, GdkEventConfigure * > | signal_configure_event ()
Glib::SignalProxy1< bool, GdkEventFocus * > | signal_focus_in_event ()
Glib::SignalProxy1< bool, GdkEventFocus * > | signal_focus_out_event ()
Glib::SignalProxy1< bool, GdkEventAny * > | signal_map_event ()
Glib::SignalProxy1< bool, GdkEventAny * > | signal_unmap_event ()
Glib::SignalProxy1< bool, GdkEventProperty * > | signal_property_notify_event ()
Glib::SignalProxy1< bool, GdkEventSelection * > | signal_selection_clear_event ()
Glib::SignalProxy1< bool, GdkEventSelection * > | signal_selection_request_event ()
Glib::SignalProxy1< bool, GdkEventSelection * > | signal_selection_notify_event ()
Glib::SignalProxy1< bool, GdkEventProximity * > | signal_proximity_in_event ()
Glib::SignalProxy1< bool, GdkEventProximity * > | signal_proximity_out_event ()
Glib::SignalProxy1< bool, GdkEventVisibility * > | signal_visibility_notify_event ()
Glib::SignalProxy1< bool, GdkEventWindowState * > | signal_window_state_event ()
Glib::SignalProxy3< void, SelectionData &, guint, guint > | signal_selection_get ()
Glib::SignalProxy2< void, const SelectionData &, guint > | signal_selection_received ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_begin ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_end ()
Glib::SignalProxy4< void, const Glib::RefPtr< Gdk::DragContext > &, SelectionData &, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::DragContext > & > | signal_drag_data_delete ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy2< void, const Glib::RefPtr< Gdk::DragContext > &, guint > | signal_drag_leave ()
Glib::SignalProxy4< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy4< bool, const Glib::RefPtr< Gdk::DragContext > &, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy6< void, const Glib::RefPtr< Gdk::DragContext > &, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gdk::Screen > & > | signal_screen_changed ()
Glib::SignalProxy0< void > | signal_composited_changed ()
Glib::SignalProxy0< bool > | signal_popup_menu ()
Glib::SignalProxy4< bool, int, int, bool, const Glib::RefPtr< Tooltip > & > | signal_query_tooltip ()
Glib::SignalProxy1< bool, GdkEventGrabBroken * > | signal_grab_broken_event ()
Glib::SignalProxy1< bool, GdkEventExpose * > | signal_damage_event ()
Glib::SignalProxy1< bool, GdkEventTouch * > | signal_touch_event ()
Glib::PropertyProxy< Glib::ustring > | property_name ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
Glib::PropertyProxy< Container * > | property_parent ()
Glib::PropertyProxy_ReadOnly< Container * > | property_parent () const
Glib::PropertyProxy< int > | property_width_request ()
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
Glib::PropertyProxy< int > | property_height_request ()
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
Glib::PropertyProxy< bool > | property_visible ()
Glib::PropertyProxy_ReadOnly< bool > | property_visible () const
Glib::PropertyProxy< bool > | property_sensitive ()
Glib::PropertyProxy_ReadOnly< bool > | property_sensitive () const
Glib::PropertyProxy< bool > | property_app_paintable ()
Glib::PropertyProxy_ReadOnly< bool > | property_app_paintable () const
Glib::PropertyProxy< bool > | property_can_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_can_focus () const
Glib::PropertyProxy< bool > | property_has_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_focus () const
Glib::PropertyProxy< bool > | property_is_focus ()
Glib::PropertyProxy_ReadOnly< bool > | property_is_focus () const
Glib::PropertyProxy< bool > | property_can_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_can_default () const
Glib::PropertyProxy< bool > | property_has_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_default () const
Glib::PropertyProxy< bool > | property_receives_default ()
Glib::PropertyProxy_ReadOnly< bool > | property_receives_default () const
Glib::PropertyProxy_ReadOnly< bool > | property_composite_child () const
Glib::PropertyProxy< Glib::RefPtr< Style > > | property_style ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Style > > | property_style () const
Glib::PropertyProxy< Gdk::EventMask > | property_events ()
Glib::PropertyProxy_ReadOnly< Gdk::EventMask > | property_events () const
Glib::PropertyProxy< bool > | property_has_tooltip ()
Glib::PropertyProxy_ReadOnly< bool > | property_has_tooltip () const
Glib::PropertyProxy< Glib::ustring > | property_tooltip_markup ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_markup () const
Glib::PropertyProxy< Glib::ustring > | property_tooltip_text ()
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_tooltip_text () const
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Window > > | property_window () const
Glib::PropertyProxy< bool > | property_no_show_all ()
Glib::PropertyProxy_ReadOnly< bool > | property_no_show_all () const
Glib::PropertyProxy< bool > | property_double_buffered ()
Glib::PropertyProxy_ReadOnly< bool > | property_double_buffered () const
Glib::PropertyProxy< Align > | property_halign ()
Glib::PropertyProxy_ReadOnly< Align > | property_halign () const
Glib::PropertyProxy< Align > | property_valign ()
Glib::PropertyProxy_ReadOnly< Align > | property_valign () const
Glib::PropertyProxy< int > | property_margin_left ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
Glib::PropertyProxy< int > | property_margin_right ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
Glib::PropertyProxy< int > | property_margin_start ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_start () const
Glib::PropertyProxy< int > | property_margin_end ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_end () const
Glib::PropertyProxy< int > | property_margin_top ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
Glib::PropertyProxy< int > | property_margin_bottom ()
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
Glib::PropertyProxy< int > | property_margin ()
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
Glib::PropertyProxy< bool > | property_hexpand ()
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand () const
Glib::PropertyProxy< bool > | property_hexpand_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_hexpand_set () const
Glib::PropertyProxy< bool > | property_vexpand ()
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand () const
Glib::PropertyProxy< bool > | property_vexpand_set ()
Glib::PropertyProxy_ReadOnly< bool > | property_vexpand_set () const
Glib::PropertyProxy< bool > | property_expand ()
Glib::PropertyProxy_ReadOnly< bool > | property_expand () const
Glib::PropertyProxy< double > | property_opacity ()
Glib::PropertyProxy_ReadOnly< double > | property_opacity () const
Glib::PropertyProxy_ReadOnly< int > | property_scale_factor () const
Gtk::Widget * | wrap (GtkWidget *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Object
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
virtual | ~Object () noexcept
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gtk::Buildable
| Buildable (Buildable &&src) noexcept
Buildable & | operator= (Buildable &&src) noexcept
virtual | ~Buildable () noexcept
GtkBuildable * | gobj ()
const GtkBuildable * | gobj () const
void | set_name (const Glib::ustring &name)
Glib::ustring | get_name () const
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable *object, bool take_copy=false)
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface () noexcept
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Gtk::Scrollable
| Scrollable (Scrollable &&src) noexcept
Scrollable & | operator= (Scrollable &&src) noexcept
virtual | ~Scrollable () noexcept
GtkScrollable * | gobj ()
const GtkScrollable * | gobj () const
Glib::RefPtr< Adjustment > | get_hadjustment ()
Glib::RefPtr< const Adjustment > | get_hadjustment () const
void | set_hadjustment (const Glib::RefPtr< Adjustment > &hadjustment)
void | unset_hadjustment ()
Glib::RefPtr< Adjustment > | get_vadjustment ()
Glib::RefPtr< const Adjustment > | get_vadjustment () const
void | set_vadjustment (const Glib::RefPtr< Adjustment > &vadjustment)
void | unset_vadjustment ()
ScrollablePolicy | get_hscroll_policy () const
void | set_hscroll_policy (ScrollablePolicy policy)
ScrollablePolicy | get_vscroll_policy () const
void | set_vscroll_policy (ScrollablePolicy policy)
bool | get_border (Border &border) const
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_hadjustment ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_hadjustment () const
Glib::PropertyProxy< Glib::RefPtr< Adjustment > > | property_vadjustment ()
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Adjustment > > | property_vadjustment () const
Glib::PropertyProxy< ScrollablePolicy > | property_hscroll_policy ()
Glib::PropertyProxy_ReadOnly< ScrollablePolicy > | property_hscroll_policy () const
Glib::PropertyProxy< ScrollablePolicy > | property_vscroll_policy ()
Glib::PropertyProxy_ReadOnly< ScrollablePolicy > | property_vscroll_policy () const
Glib::RefPtr< Gtk::Scrollable > | wrap (GtkScrollable *object, bool take_copy=false)

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Gtk::TextView
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Container
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Widget
static GType | get_type ()
static Widget * | get_current_modal_grab ()
static void | push_composite_child ()
static void | pop_composite_child ()
static void | set_default_direction (TextDirection dir)
static TextDirection | get_default_direction ()
static Widget * | drag_get_source_widget (const Glib::RefPtr< Gdk::DragContext > &context)
Static Public Member Functions inherited from Gtk::Buildable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
Static Public Member Functions inherited from Gtk::Scrollable
static void | add_interface (GType gtype_implementer)
static GType | get_type ()

## Static Public Attributes

static const int | gutter_position_lines = -30
| The gutter position of the lines renderer. More...
static const int | gutter_position_marks = -20
| The gutter position of the marks renderer. More...

## Protected Member Functions

virtual void | on_redo ()
| This is a default handler for the signal signal_redo(). More...
virtual void | on_undo ()
| This is a default handler for the signal signal_undo(). More...
virtual void | on_line_mark_activated (Gtk::TextIter& mark, GdkEvent*event)
| This is a default handler for the signal signal_line_mark_activated(). More...
Protected Member Functions inherited from Gtk::TextView
virtual void | on_populate_popup (Menu *menu)
virtual void | on_set_anchor ()
virtual void | on_insert_at_cursor (const Glib::ustring &str)
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget *widget)
virtual void | on_remove (Widget *widget)
virtual void | on_check_resize ()
virtual void | on_set_focus_child (Widget *widget)
| Container ()
virtual GType | child_type_vfunc () const
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
virtual char * | composite_name_vfunc (GtkWidget *child)
virtual void | set_child_property_vfunc (GtkWidget *child, guint property_id, const GValue *value, GParamSpec *pspec)
virtual void | get_child_property_vfunc (GtkWidget *child, guint property_id, GValue *value, GParamSpec *pspec) const
Glib::PropertyProxy< guint > | property_border_width ()
Glib::PropertyProxy_ReadOnly< guint > | property_border_width () const
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
Glib::PropertyProxy_ReadOnly< ResizeMode > | property_resize_mode () const
Glib::PropertyProxy_WriteOnly< Widget * > | property_child ()
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
virtual void | on_hide ()
virtual void | on_map ()
virtual void | on_unmap ()
virtual void | on_realize ()
virtual void | on_unrealize ()
virtual void | on_size_allocate (Allocation &allocation)
virtual void | on_state_changed (Gtk::StateType previous_state)
virtual void | on_parent_changed (Widget *previous_parent)
virtual void | on_hierarchy_changed (Widget *previous_toplevel)
virtual void | on_style_updated ()
virtual void | on_direction_changed (TextDirection direction)
virtual void | on_grab_notify (bool was_grabbed)
virtual void | on_child_notify (GParamSpec *pspec)
virtual bool | on_mnemonic_activate (bool group_cycling)
virtual void | on_grab_focus ()
virtual bool | on_focus (DirectionType direction)
virtual bool | on_event (GdkEvent *gdk_event)
virtual bool | on_button_press_event (GdkEventButton *button_event)
virtual bool | on_button_release_event (GdkEventButton *release_event)
virtual bool | on_scroll_event (GdkEventScroll *scroll_event)
virtual bool | on_motion_notify_event (GdkEventMotion *motion_event)
virtual bool | on_delete_event (GdkEventAny *any_event)
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context > &cr)
virtual bool | on_key_press_event (GdkEventKey *key_event)
virtual bool | on_key_release_event (GdkEventKey *key_event)
virtual bool | on_enter_notify_event (GdkEventCrossing *crossing_event)
virtual bool | on_leave_notify_event (GdkEventCrossing *crossing_event)
virtual bool | on_configure_event (GdkEventConfigure *configure_event)
virtual bool | on_focus_in_event (GdkEventFocus *focus_event)
virtual bool | on_focus_out_event (GdkEventFocus *gdk_event)
virtual bool | on_map_event (GdkEventAny *any_event)
virtual bool | on_unmap_event (GdkEventAny *any_event)
virtual bool | on_property_notify_event (GdkEventProperty *property_event)
virtual bool | on_selection_clear_event (GdkEventSelection *selection_event)
virtual bool | on_selection_request_event (GdkEventSelection *selection_event)
virtual bool | on_selection_notify_event (GdkEventSelection *selection_event)
virtual bool | on_proximity_in_event (GdkEventProximity *proximity_event)
virtual bool | on_proximity_out_event (GdkEventProximity *proximity_event)
virtual bool | on_visibility_notify_event (GdkEventVisibility *visibility_event)
virtual bool | on_window_state_event (GdkEventWindowState *window_state_event)
virtual void | on_selection_get (SelectionData &selection_data, guint info, guint time)
virtual void | on_selection_received (const SelectionData &selection_data, guint time)
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext > &context, SelectionData &selection_data, guint info, guint time)
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext > &context)
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext > &context, guint time)
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint time)
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, guint time)
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > &context, int x, int y, const SelectionData &selection_data, guint info, guint time)
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen > &previous_screen)
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec **p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int &minimum_width, int &natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int &minimum_height, int &natural_height) const
virtual void | get_preferred_height_vfunc (int &minimum_height, int &natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int &minimum_width, int &natural_width) const
| Widget ()
void | realize ()
void | unrealize ()
void | draw (const ::Cairo::RefPtr< ::Cairo::Context > &cr)
void | set_mapped (bool mapped=true)
void | set_realized (bool realized=true)
void | set_has_window (bool has_window=true)
void | set_window (const Glib::RefPtr< Gdk::Window > &window)
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context > &cr, const Glib::RefPtr< const Gdk::Window > &window)
Requisition | get_requisition () const
void | get_style_property_value (const Glib::ustring &the_property_name, Glib::ValueBase &value) const
void | realize_if_needed ()
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
Protected Member Functions inherited from Gtk::Scrollable
| Scrollable ()

## Related Functions

(Note that these are not member functions.)
Gsv::View* | wrap (GtkSourceView* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget & > | ForeachSlot
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Static Protected Member Functions inherited from Gtk::Widget
static bool | should_draw_window (const ::Cairo::RefPtr< const ::Cairo::Context > &cr, const Glib::RefPtr< const Gdk::Window > &window)

## Detailed Description

The view object.

View is the main object of the gtksourceviewmm library. It provides a text view which has syntax highlighting, undo/redo and text marks. Use a Buffer to display text with a GtkSourceView.

## Constructor & Destructor Documentation

Gsv::View::View | ( | View&& | src | ) |

noexcept

Gsv::View::View | ( | const View& |  | ) |

delete

virtual Gsv::View::~View | ( |  | ) |

virtual noexcept

Gsv::View::View | ( |  | ) |

explicit

Creates a new View.

An empty default buffer will be created for you. If you want to specify your own buffer, consider the other constructor.

Returns
  A new View.

Gsv::View::View | ( | const Glib::RefPtr< Buffer >& | buffer | ) |

explicit

Creates a new View widget displaying the buffer buffer.

One buffer can be shared among many widgets.

Parameters

  buffer | A Buffer.

Returns
  : A new View.

## Member Function Documentation

bool Gsv::View::get_auto_indent | ( |  | ) | const

Returns whether auto indentation of text is enabled.

Returns
  `true` if auto indentation is enabled.

Glib::RefPtr<Completion> Gsv::View::get_completion | ( |  | ) |

Gets the Completion associated with this view.

Returns
  The Completion associated with this view.

Since gtksourceviewmm 2.10:

Glib::RefPtr<const Completion> Gsv::View::get_completion | ( |  | ) | const

Gets the Completion associated with this view.

Returns
  The Completion associated with this view.

Since gtksourceviewmm 2.10:

DrawSpacesFlags Gsv::View::get_draw_spaces | ( |  | ) | const

Returns the DrawSpacesFlags specifying if and how spaces should be displayed.

Returns
  The DrawSpacesFlags, 0 if no spaces should be drawn.

Glib::RefPtr<Gutter> Gsv::View::get_gutter | ( | Gtk::TextWindowType | window_type | ) |

Returns the Gutter object associated with window_type for this view.

Only Gtk::TEXT_WINDOW_LEFT and Gtk::TEXT_WINDOW_RIGHT are supported, respectively corresponding to the left and right gutter. The line numbers and mark category icons are rendered in the gutter corresponding to Gtk::TEXT_WINDOW_LEFT.

Parameters

  window_type | The gutter window type

Returns
  The Gutter.

Since gtksourceviewmm 2.10:

Glib::RefPtr<const Gutter> Gsv::View::get_gutter | ( | Gtk::TextWindowType | window_type | ) | const

Returns the Gutter object associated with window_type for this view.

Only Gtk::TEXT_WINDOW_LEFT and Gtk::TEXT_WINDOW_RIGHT are supported, respectively corresponding to the left and right gutter. The line numbers and mark category icons are rendered in the gutter corresponding to Gtk::TEXT_WINDOW_LEFT.

Parameters

  window_type | The gutter window type

Returns
  The Gutter.

Since gtksourceviewmm 2.10:

bool Gsv::View::get_highlight_current_line | ( |  | ) | const

Returns whether the current line is highlighted.

Returns
  `true` if the current line is highlighted.

bool Gsv::View::get_indent_on_tab | ( |  | ) | const

Returns whether when the tab key is pressed the current selection should get indented instead of replaced with the \t character.

Returns
  `true` if the selection is indented when tab is pressed.

Since gtksourceviewmm 2.2:

gint Gsv::View::get_indent_width | ( |  | ) | const

Returns the number of spaces to use for each step of indent.

See set_indent_width() for details.

Returns
  Indent width.

bool Gsv::View::get_insert_spaces_instead_of_tabs | ( |  | ) | const

Returns whether when inserting a tabulator character it should be replaced by a group of space characters.

Returns
  `true` if spaces are inserted instead of tabs.

Glib::RefPtr<MarkAttributes> Gsv::View::get_mark_attributes | ( | const Glib::ustring & | category,
|  | int & | priority
| ) |  |

Gets attributes and priority for the category.

Parameters

  category | The category.
  priority | Place where priority of the category will be stored.

Returns
  Gtk::SourceMarkAttributes for the category. The object belongs to view, so it must not be unreffed.

Glib::RefPtr<const MarkAttributes> Gsv::View::get_mark_attributes | ( | const Glib::ustring & | category,
|  | int & | priority
| ) |  | const

Gets attributes and priority for the category.

Parameters

  category | The category.
  priority | Place where priority of the category will be stored.

Returns
  Gtk::SourceMarkAttributes for the category. The object belongs to view, so it must not be unreffed.

guint Gsv::View::get_right_margin_position | ( |  | ) | const

Gets the position of the right margin.

Returns
  The position of the right margin.

bool Gsv::View::get_show_line_marks | ( |  | ) | const

Returns whether line marks are displayed beside the text.

Returns
  `true` if the line marks are displayed.

Since gtksourceviewmm 2.2:

bool Gsv::View::get_show_line_numbers | ( |  | ) | const

Returns whether line numbers are displayed beside the text.

Returns
  `true` if the line numbers are displayed.

bool Gsv::View::get_show_right_margin | ( |  | ) | const

Returns whether a right margin is displayed.

Returns
  `true` if the right margin is shown.

SmartHomeEndType Gsv::View::get_smart_home_end | ( |  | ) | const

Returns a SmartHomeEndType end value specifying how the cursor will move when HOME and END keys are pressed.

Returns
  A SmartHomeEndType value.

Glib::RefPtr<const Buffer> Gsv::View::get_source_buffer | ( |  | ) | const

Returns the GtkTextBuffer being displayed by this text view.

Returns
  A Buffer.

Glib::RefPtr<Buffer> Gsv::View::get_source_buffer | ( |  | ) |

Returns the GtkTextBuffer being displayed by this text view.

Returns
  A Buffer.

guint Gsv::View::get_tab_width | ( |  | ) | const

Returns the width of tabulation in characters.

Returns
  Width of tab.

static GType Gsv::View::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

guint Gsv::View::get_visual_column | ( | const Gtk::TextIter & | iter | ) | const

Determines the visual column at iter taking into consideration the indent width of view.

Parameters

  iter | a position in this view.

Returns
  the visual column at iter.

Since gtksourceviewmm 3.0:

GtkSourceView* Gsv::View::gobj | ( |  | ) |

inline

Provides access to the underlying C GtkObject.

const GtkSourceView* Gsv::View::gobj | ( |  | ) | const

inline

Provides access to the underlying C GtkObject.

virtual void Gsv::View::on_line_mark_activated | ( | Gtk::TextIter & | mark,
|  | GdkEvent * | event
| ) |  |

protected virtual

This is a default handler for the signal signal_line_mark_activated().

virtual void Gsv::View::on_redo | ( |  | ) |

protected virtual

This is a default handler for the signal signal_redo().

virtual void Gsv::View::on_undo | ( |  | ) |

protected virtual

This is a default handler for the signal signal_undo().

View& Gsv::View::operator= | ( | View&& | src | ) |

noexcept

View& Gsv::View::operator= | ( | const View& |  | ) |

delete

Glib::PropertyProxy< bool > Gsv::View::property_auto_indent | ( |  | ) |

Whether to enable auto indentation.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_auto_indent | ( |  | ) | const

Whether to enable auto indentation.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Completion> > Gsv::View::property_completion | ( |  | ) | const

The completion object associated with the view.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< DrawSpacesFlags > Gsv::View::property_draw_spaces | ( |  | ) |

Set if and how the spaces should be visualized.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< DrawSpacesFlags > Gsv::View::property_draw_spaces | ( |  | ) | const

Set if and how the spaces should be visualized.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gsv::View::property_highlight_current_line | ( |  | ) |

Whether to highlight the current line.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_highlight_current_line | ( |  | ) | const

Whether to highlight the current line.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gsv::View::property_indent_on_tab | ( |  | ) |

Whether to indent the selected text when the tab key is pressed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_indent_on_tab | ( |  | ) | const

Whether to indent the selected text when the tab key is pressed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gsv::View::property_indent_width | ( |  | ) |

Number of spaces to use for each step of indent.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gsv::View::property_indent_width | ( |  | ) | const

Number of spaces to use for each step of indent.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gsv::View::property_insert_spaces_instead_of_tabs | ( |  | ) |

Whether to insert spaces instead of tabs.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_insert_spaces_instead_of_tabs | ( |  | ) | const

Whether to insert spaces instead of tabs.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gsv::View::property_right_margin_position | ( |  | ) |

Position of the right margin.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gsv::View::property_right_margin_position | ( |  | ) | const

Position of the right margin.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gsv::View::property_show_line_marks | ( |  | ) |

Whether to display line mark pixbufs.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_show_line_marks | ( |  | ) | const

Whether to display line mark pixbufs.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gsv::View::property_show_line_numbers | ( |  | ) |

Whether to display line numbers.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_show_line_numbers | ( |  | ) | const

Whether to display line numbers.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gsv::View::property_show_right_margin | ( |  | ) |

Whether to display the right margin.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::View::property_show_right_margin | ( |  | ) | const

Whether to display the right margin.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< SmartHomeEndType > Gsv::View::property_smart_home_end | ( |  | ) |

HOME and END keys move to first/last non whitespace characters on line before going to the start/end of the line.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< SmartHomeEndType > Gsv::View::property_smart_home_end | ( |  | ) | const

HOME and END keys move to first/last non whitespace characters on line before going to the start/end of the line.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gsv::View::property_tab_width | ( |  | ) |

Width of a tab character expressed in spaces.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gsv::View::property_tab_width | ( |  | ) | const

Width of a tab character expressed in spaces.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gsv::View::set_auto_indent | ( | bool | enable = `true` | ) |

If `true` auto indentation of text is enabled.

Parameters

  enable | Whether to enable auto indentation.

void Gsv::View::set_draw_spaces | ( | DrawSpacesFlags | flags = `DRAW_SPACES_ALL` | ) |

Set if and how the spaces should be visualized.

Specifying flags as 0 will disable display of spaces.

Parameters

  flags | DrawSpacesFlags specifing how white spaces should be displayed.

void Gsv::View::set_highlight_current_line | ( | bool | highlight = `true` | ) |

If highlight is `true` the current line is highlighted.

Parameters

  highlight | Whether to highlight the current line.

void Gsv::View::set_indent_on_tab | ( | bool | enable = `true` | ) |

If `true`, when the tab key is pressed and there is a selection, the selected text is indented of one level instead of being replaced with the \t characters.

Shift+Tab unindents the selection.

Parameters

  enable | Whether to indent a block when tab is pressed.

Since gtksourceviewmm 2.2:

void Gsv::View::set_indent_width | ( | gint | width | ) |

Sets the number of spaces to use for each step of indent.

If width is -1, the value of the View::property_tab_width property will be used.

Parameters

  width | Indent width in characters.

void Gsv::View::set_insert_spaces_instead_of_tabs | ( | bool | enable = `true` | ) |

If `true` any tabulator character inserted is replaced by a group of space characters.

Parameters

  enable | Whether to insert spaces instead of tabs.

void Gsv::View::set_mark_attributes | ( | const Glib::ustring & | category,
|  | const Glib::RefPtr< MarkAttributes >& | attributes,
|  | int | priority
| ) |  |

Sets attributes and priority for the category.

Parameters

  category | The category.
  attributes | Mark attributes.
  priority | Priority of the category.

void Gsv::View::set_right_margin_position | ( | guint | margin | ) |

Sets the position of the right margin.

Parameters

  margin | The width in characters where to position the right margin.

void Gsv::View::set_show_line_marks | ( | bool | show = `true` | ) |

If `true` line marks will be displayed beside the text.

Parameters

  show | Whether line marks should be displayed.

Since gtksourceviewmm 2.2:

void Gsv::View::set_show_line_numbers | ( | bool | show = `true` | ) |

If `true` line numbers will be displayed beside the text.

Parameters

  show | Whether line numbers should be displayed.

void Gsv::View::set_show_right_margin | ( | bool | show = `true` | ) |

If `true` a right margin is displayed.

Parameters

  show | Whether to show a right margin.

void Gsv::View::set_smart_home_end | ( | SmartHomeEndType | smart_he | ) |

Set the desired movement of the cursor when HOME and END keys are pressed.

Parameters

  smart_he | The desired behavior among SmartHomeEndType.

void Gsv::View::set_source_buffer | ( | const Glib::RefPtr< Buffer >& | source_buffer | ) |

Sets a source_buffer as the buffer being displayed by source view.

The previous buffer displayed by the text view is unreferenced, and a reference is added to buffer.

Parameters

  source_buffer | A Buffer.

void Gsv::View::set_tab_width | ( | guint | width | ) |

Sets the width of tabulation in characters.

Parameters

  width | Width of tab in characters.

Glib::SignalProxy2< void,Gtk::TextIter&,GdkEvent* > Gsv::View::signal_line_mark_activated | ( |  | ) |

Emitted when a line mark has been activated (for instance when there was a button press in the line marks gutter).

You can use iter to determine on which line the activation took place.

Handler parameters:
  iter A Gtk::TextIter. event The GdkEvent that activated the event.

Slot Prototype:
  `void on_my_line_mark_activated(Gtk::TextIter& mark, GdkEvent* event)`

Glib::SignalProxy0< void > Gsv::View::signal_redo | ( |  | ) |

Emitted when redo action is requested.

Slot Prototype:
  `void on_my_redo()`

Glib::SignalProxy2< void,Gtk::TextIter&,int > Gsv::View::signal_smart_home_end | ( |  | ) |

Emitted when a the cursor was moved according to the smart home end setting.

The signal is emitted after the cursor is moved, but during the Gtk::TextView::move-cursor action. This can be used to find out whether the cursor was moved by a normal home/end or by a smart home/end.

Handler parameters:
  iter A Gtk::TextIter count The count

Since gtksourceviewmm 3.0:

Slot Prototype:
  `void on_my_smart_home_end(Gtk::TextIter& iter, int count)`

Glib::SignalProxy0< void > Gsv::View::signal_undo | ( |  | ) |

Emitted when undo action is requested.

Slot Prototype:
  `void on_my_undo()`

## Friends And Related Function Documentation

Gsv::View* wrap | ( | GtkSourceView * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

const int Gsv::View::gutter_position_lines = -30

static

The gutter position of the lines renderer.

const int Gsv::View::gutter_position_marks = -20

static

The gutter position of the marks renderer.